let randomszamok = [];

document.getElementById("gomb").addEventListener("click", function () {
    let szam = document.getElementById("szam").value;

    if (typecheck(szam)) {
        szam = parseInt(szam);
        promise_shit(szam);
    } else {
        hibasbemenet();
    }
});

let hibasbemenet = () => {
    alert("HIBÁS BEMENET");
}

let typecheck = (szam1) => {
    if (szam1 == "") {
        return false;
    }
    return true;
};



let randomszamokkiir = (karakterlanc) => {
    document.getElementById("generaltszamok").innerHTML = karakterlanc;
}

function promise_shit(counter) {
    let myPromise = new Promise((resolve, reject) => {
        let success = true;

        for (let index = 0; index < counter; index++) {
            let randnum = parseInt(Math.random() * 100);
            randomszamok.push(randnum);
        }

        setTimeout(() => {
            if (success) {
                resolve(`A véletlen számok: ${randomszamok.join(', ')}`);
            } else {
                reject("Hiba történt.");
            }
        }, 2000);
    });


    let eredmeny = myPromise
        .then(result => {
            console.log(result);
            randomszamokkiir(result);
        })
        .catch(error => {
            console.error(error);
        });
    //console.log(eredmeny);
}

